Name:           mdicconv
Version:        0.2.6.1
Release:        %mkrel 1
License:        GPL-2.0+
Summary:        Small program to convert a dictionary file type in another dictionary file type
Url:            http://mdic.gnufolks.org/
Group:          Office
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM mdicbuilder.cpp.patch asterios.dramis@gmail.com -- Fix "'printf' was not declared in this scope" compilation error
Patch0:         mdicbuilder.cpp.patch
# PATCH-FIX-UPSTREAM no-return-in-nonvoid-function.patch asterios.dramis@gmail.com -- Fix "Program returns random data in a function" rpm post build check error
Patch1:         no-return-in-nonvoid-function.patch
BuildRequires:  gcc-c++
BuildRequires:  %{_lib}xml2-devel
BuildRequires:  %{_lib}sqlite3-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MDicConv is a small program to convert a dictionary file type in another
dictionary file type.

%prep
%setup -q
%patch0

%build
autoreconf -fi
%configure
%make

%install
%make_install

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/mdicconv

%changelog
* Sun Dec 01 2013 pinoc <vogtpet at gmail.com> 0.2.6.1-1pclos2013
- imported package
